# DCM/DFA Reporting And Trafficking API . metros

## Instance Methods

Retrieves a list of metros.

### Method Details

`list(profileId)`

    Retrieves a list of metros.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Metro List Response
        "kind": "dfareporting#metrosListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#metrosListResponse".
        "metros": [ # Metro collection.
          { # Contains information about a metro region that can be targeted by ads.
            "kind": "dfareporting#metro", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#metro".
            "countryDartId": "A String", # DART ID of the country to which this metro region belongs.
            "name": "A String", # Name of this metro region.
            "countryCode": "A String", # Country code of the country to which this metro region belongs.
            "metroCode": "A String", # Metro code of this metro region. This is equivalent to dma_id.
            "dmaId": "A String", # DMA ID of this metro region. This is the ID used for targeting and generating reports, and is equivalent to metro_code.
            "dartId": "A String", # DART ID of this metro region.
          },
        ],
      }